Query Texts - List By Query
取得查詢的文字。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Sql/servers/{serverName}/databases/{databaseName}/topQueries/{queryId}/queryText?api-version=2014-04-01
URI 參數
| 名稱 | 位於 | 必要 | 類型 | Description |
|---|---|---|---|---|
|
database
|
path | True |
string |
資料庫的名稱。 |
|
query
|
path | True |
string |
查詢的識別碼 |
|
resource
|
path | True |
string |
包含資源的資源群組名稱。 您可以從 Azure Resource Manager API 或入口網站取得此值。 |
|
server
|
path | True |
string |
伺服器的名稱。 |
|
subscription
|
path | True |
string |
識別 Azure 訂用帳戶的訂用帳戶標識碼。 |
|
api-version
|
query | True |
string |
要用於要求的 API 版本。 |
回應
| 名稱 | 類型 | Description |
|---|---|---|
| 200 OK |
還行 |
範例
Get a query
範例要求
GET https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/group1/providers/Microsoft.Sql/servers/sqlcrudtest/databases/db1/topQueries/19/queryText?api-version=2014-04-01
範例回覆
{
"value": [
{
"name": "current",
"queryText": "select 1",
"type": "Microsoft.Sql/servers/databases/topQueries/queryText"
}
]
}
定義
| 名稱 | Description |
|---|---|
|
Query |
|
|
Query |
表示取得查詢文字要求的回應。 |
QueryText
| 名稱 | 類型 | Description |
|---|---|---|
| name |
string |
資源名稱。 |
| queryText |
string |
查詢文字。 |
| type |
string |
資源類型。 |
QueryTextListResult
表示取得查詢文字要求的回應。
| 名稱 | 類型 | Description |
|---|---|---|
| value |
查詢文字。 |